--[[
Copyright (c) 2008, LordFarlander
All rights reserved.

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions are met:

    * Redistributions of source code must retain the above copyright notice,
      this list of conditions and the following disclaimer.
    * Redistributions in binary form must reproduce the above copyright notice,
      this list of conditions and the following disclaimer in the documentation
      and/or other materials provided with the distribution.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR
ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
(INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON
ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
(INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
]]--

local L = LibStub( "AceLocale-3.0" ):NewLocale( "Broker_RecZone", "enUS", true );

if( L ) then
    L["Broker_RecZone"] = true;
    L["Profile"] = true;
    L["Recommended Zone"] = true;

    L["Neutral"] = true;
    L["None"] = true;
    L["Contested"] = true;
    L["Sanctuary"] = true;
    L["City"] = true;
    L["PVP"] = true;
    L[" (Battleground)"] = true;
    L[" (Raid %s)"] = true;
    L[" (Raid %i or %i)"] = true;
    L[" (Arena)"] = true;
    
    L["flight"] = true;
    L["boat"] = true;
    L["zeppelin"] = true;
    L["portal"] = true;
    
    L[" via "] = true;

    L["Show instances for current zone"] = true;
    L["Show faction of zones"] = true;
    L["Show continent for zones"] = true;
    L["Show recommended instances"] = true;
    L["Show battlegrounds"] = true;
    L["Show raid instances"] = true;
    L["Show location of instances"] = true;
    L["Show increaded difficulty"] = true;
    L["Recommend lower level zones"] = true;
    L["Recommend higher level zones"] = true;
    L["Show colored text"] = true;
    L["Show zone name"] = true;
    L["Show sub zone name"] = true;
    L["Show coords"] = true;
    L["Show level range"] = true;
    L["Coords:"] = true;
    L["Cursor:"] = true;
    L["Player:"] = true;
    L["Map"] = true;
    L["Show zone levels"] = true;
    L["Show minimap bar"] = true;
    L["Show the bar above the minimap that tells the location and allows you to close minimap."] = true;
    L["Put the difficulty of the dungeon after the name if it is not normal difficulty."] = true;
    L["Hint"] = "Left-Click on a recommended zone or instance to see Walk Path\nShift-Click to copy location to chat edit box\nClick to open map\nRight click to open options";

    L["Zone Level: "] = true;
    L[" (%i+ to %i+)"] = true;
    L[" (%i to %i)"] = true;
    L["Current Zone:"] = true;
    L["Current Sub Zone:"] = true;
    L["Faction:"] = true;
    L["Continent:"] = true;
    L["Instance:"] = true;
    L["Instances:"] = true;
    L["Recommended Zones:"] = true;
    L["Recommended Instances:"] = true;
    L["Border Zone:"] = true;

    L["Label"] = true;
    L["Tooltip"] = true;
    L["Boat"] = true;
    L["Portal"] = true;
    L["Zeppelin"] = true;
    L["Orb of Translocation"] = true;
    L["City"] = true;
    L["Transport"] = true;
    
    L["Unknown zone detected \"%s\""] = true;
    
    L["[Future]"] = true;
    L["Unknown"] = true;

    L["Copy setting from FuBar_RecZone"] = true;
end--if

-- we want zone lookups to silently fail
L = LibStub( "AceLocale-3.0" ):NewLocale( "Broker_RecZone Zones", "enUS", true, true );

if( L ) then
    L["RFC"] = true;
    L["VC"] = true;
    L["DMVC"] = true;
    L["WC"] = true;
    L["SFK"] = true;
    L["BFD"] = true;
    L["Stocks"] = true;
    L["RFK"] = true;
    L["GR"] = true;
    L["Gnome"] = true;
    L["Gnomer"] = true;
    L["SM"] = true;
    L["SML"] = true;
    L["SM-L"] = true;    
    L["SM-G"] = true;    
    L["SMG"] = true;
    L["RFD"] = true;
    L["SMA"] = true;
    L["SM-A"] = true;
    L["SMC"] = true;
    L["SM-C"] = true;
    L["Mara"] = true;
    L["ZF"] = true;
    L["ST"] = true;
    L["Temple"] = true;
    L["BRD"] = true;
    L["DM"] = true;
    L["DME"] = true;
    L["DM-E"] = true;
    L["DMW"] = true;
    L["DM-W"] = true;
    L["DMN"] = true;
    L["DM-N"] = true;
    L["BRS"] = true;
    L["LBRS"] = true;
    L["Scholo"] = true;
    L["Strat"] = true;
    
    L["HFR"] = true;
    L["Ramp"] = true;
    L["Ramps"] = true;
    L["Ramparts"] = true;
    L["BF"] = true;
    L["SP"] = true;
    L["UB"] = true;
    L["Bog"] = true;
    L["MT"] = true;
    L["Tombs"] = true;
    L["AC"] = true;
    L["Crypts"] = true;
    L["Seth"] = true;
    L["Sethekk"] = true;
    L["MgT"] = true;
    L["MsT"] = true;
    L["MrT"] = true;
    L["QD5"] = true;
    L["SL"] = true;
    L["Lab"] = true;
    L["Slabs"] = true;
    L["Shadow Labs"] = true;
    L["SH"] = true;
    L["SV"] = true;
    L["Vaults"] = true;
    L["AZ"] = true;
    L["Arca"] = true;
    L["Bot"] = true;
    L["Mech"] = true;
    
    L["UK"] = true;
    L["Nex"] = true;
    L["Nexus"] = true;
    L["AN"] = true;
    L["Nerub"] = true;
    L["AK"] = true;
    L["Kahet"] = true;
    L["Old Kingdom"] = true;
    L["DTK"] = true;
    L["DK"] = true;
    L["VH"] = true;
    L["GD"] = true;
    L["Gun"] = true;
    L["HoS"] = true;
    L["HoL"] = true;
    L["CoS"] = true;
    L["UP"] = true;
    L["OCC"] = true;
    L["FoS"] = true;
    L["PoS"] = true;
    L["HoR"] = true;
    
    L["UBRS"] = true;
    L["ZG"] = true;
    L["MC"] = true;
    L["AQ20"] = true;
    L["BWL"] = true;
    L["AQ40"] = true;
    
    L["KZ"] = true;
    L["Kara"] = true;
    L["GL"] = true;
    L["ML"] = true;
    L["Mag"] = true;
    L["ZA"] = true;
    L["SSC"] = true;
    L["Eye"] = true;
    L["TE"] = true;
    L["HY"] = true;
    L["MH"] = true;
    L["BT"] = true;
    L["SWP"] = true;
    L["QD25"] = true;
    
    L["VoA"] = true;
    L["Naxx"] = true;
    L["OS"] = true;
    L["TOS"] = true;
    L["EoE"] = true;
    L["Uld"] = true;
    L["Ony"] = true;
    L["Onx"] = true;
    L["Onyxia"] = true;
    L["IC"] = true;
    L["ICC"] = true;
    L["RS"] = true;
    L["TRS"] = true;
    
    L["WSG"] = true;
    L["AB"] = true;
    L["AV"] = true;
	L["EotS"] = true;
    L["SotA"] = true;
    L["IoC"] = true;
    L["WG"] = true;
    
    L["Orange Crystals"] = true;
    L["Purple Crystals"] = true;
    L["Pristine Waters"] = true;
    L["Lower City"] = true;
    L["Upper City"] = true;
    L["Main Gate"] = true;
    L["Service Entrance"] = true;
    
    L["The Escape from Durnholde"] = true;
    L["Battle for Mount Hyjal"] = true;
    L["Opening the Dark Portal"] = true;
    
    L["Valiance Keep"] = true;
    L["Warsong Hold"] = true;
    L["Wintergrasp Fortress"] = true;
    L["Valgarde"] = true;
    L["New Agamand"] = true;
    L["Argent Tournament Grounds"] = true;	
    L["Isle of Conquest"] = true;
    L["The Pit of Narjun"] = true;
end--if
